<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>hk.quantr</groupId>
	<artifactId>antlrcalculatorlibrary</artifactId>
	<name>Antlr Calculator Library</name>
	<version>1.2</version>
	<packaging>jar</packaging>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<build.date>${maven.build.timestamp}</build.date>
		<version>${project.version}</version>
	</properties>
	<repositories>
		<repository>
			<id>quantr</id>
			<url>https://maven.quantr.hk/repo</url>
		</repository>
	</repositories>
	<distributionManagement>
		<repository>
			<id>quantr</id>
			<url>file:///home/maven.quantr.hk/www/repo</url>
		</repository>
	</distributionManagement>
	<developers>
		<developer>
			<id>peter</id>
			<name>Peter</name>
			<email>peter@quantr.hk</email>
			<url>http://peter.quantr.hk</url>
			<organization>None</organization>
			<organizationUrl>None</organizationUrl>
			<roles>
				<role>architect</role>
				<role>founder</role>
			</roles>
			<timezone>+8</timezone>
			<properties>
				<picUrl>http://s.gravatar.com/avatar/09ab35661cb9508c728f11e3b62d24ba?s=80</picUrl>
			</properties>
		</developer>
	</developers>
	<build>
		<plugins>
			<plugin>
				<groupId>org.antlr</groupId>
				<artifactId>antlr4-maven-plugin</artifactId>
				<version>4.11.1</version>
				<executions>
					<execution>
						<id>antlr</id>
						<goals>
							<goal>antlr4</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<sourceDirectory>${basedir}/src/main/java/hk/quantr/antlrcalculatorlibrary/antlr</sourceDirectory>
					<outputDirectory>${project.build.directory}/generated-sources/antlr4/hk/quantr/antlrcalculatorlibrary/antlr</outputDirectory>
					<arguments>
						<argument>-package</argument>
						<argument>hk.quantr.antlrcalculatorlibrary.antlr</argument>
					</arguments>
					<visitor>true</visitor>
				</configuration>
			</plugin>
		</plugins>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
		</resources>
	</build>
	<dependencies>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.12</version>
		</dependency>
		<dependency>
			<groupId>org.antlr</groupId>
			<artifactId>antlr4</artifactId>
			<version>4.11.1</version>
			<classifier>complete</classifier>
		</dependency>
		<dependency>
			<groupId>hk.quantr</groupId>
			<artifactId>quantr-java-library</artifactId>
			<version>1.0</version>
			<type>jar</type>
		</dependency>
	</dependencies>
</project>

